<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: OpenJPEGImage.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('OpenJPEGImage_8h_source.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">OpenJPEGImage.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*  IIP Server: OpenJPEG JPEG2000 handler</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">    Copyright (C) 2019 Ruven Pillay.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">    This program is free software: you can redistribute it and/or modify</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">    it under the terms of the GNU General Public License as published by</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">    the Free Software Foundation, either version 3 of the License, or</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">    (at your option) any later version.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">    This program is distributed in the hope that it will be useful,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">    GNU General Public License for more details.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">    You should have received a copy of the GNU General Public License</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">    along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#ifndef _OPENJPEGIMAGE_H</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#define _OPENJPEGIMAGE_H</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &quot;IIPImage.h&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;openjpeg.h&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#define TILESIZE 256</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">extern</span> std::ofstream logfile;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classOpenJPEGImage.html">   33</a></span>&#160;<span class="keyword">class </span><a class="code" href="classOpenJPEGImage.html">OpenJPEGImage</a> : <span class="keyword">public</span> <a class="code" href="classIIPImage.html">IIPImage</a> {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; <span class="keyword">private</span>:</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  opj_stream_t* _stream;  </div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  opj_codec_t*  _codec;   </div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  opj_image_t*  _image;   </div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <span class="keywordtype">void</span> process( <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> r, <span class="keywordtype">int</span> l, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> w, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> h, <span class="keywordtype">void</span>* d );</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classOpenJPEGImage.html#a81c1d8f62cfa2815def1aa6240d35532">   58</a></span>&#160;  <a class="code" href="classOpenJPEGImage.html#a81c1d8f62cfa2815def1aa6240d35532">OpenJPEGImage</a>() : <a class="code" href="classIIPImage.html">IIPImage</a>(){</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    _stream = NULL; _codec = NULL; _image = NULL;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <a class="code" href="classIIPImage.html#a9b51c8811c316082af8ac76f8bf71458">tile_width</a> = TILESIZE; tile_height = TILESIZE; <a class="code" href="classIIPImage.html#a03b0132269c3aa1db9bfadb2b332265f">virtual_levels</a> = 0;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  };</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classOpenJPEGImage.html#a59293faa979675ddda209e5eaa53a40d">   67</a></span>&#160;  <a class="code" href="classOpenJPEGImage.html#a59293faa979675ddda209e5eaa53a40d">OpenJPEGImage</a>( <span class="keyword">const</span> std::string&amp; path)  : <a class="code" href="classIIPImage.html">IIPImage</a>(path){</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    _stream = NULL; _codec = NULL; _image = NULL;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <a class="code" href="classIIPImage.html#a9b51c8811c316082af8ac76f8bf71458">tile_width</a> = TILESIZE; tile_height = TILESIZE; <a class="code" href="classIIPImage.html#a03b0132269c3aa1db9bfadb2b332265f">virtual_levels</a> = 0;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  };</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classOpenJPEGImage.html#ad065c76671b81386c3260ba82109ce9e">   76</a></span>&#160;  <a class="code" href="classOpenJPEGImage.html#ad065c76671b81386c3260ba82109ce9e">OpenJPEGImage</a>( <span class="keyword">const</span> <a class="code" href="classOpenJPEGImage.html">OpenJPEGImage</a>&amp; image ): <a class="code" href="classIIPImage.html">IIPImage</a>( image ) {};</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classOpenJPEGImage.html#ae56256c713841596bee85e1bf491e8fb">   82</a></span>&#160;  <a class="code" href="classOpenJPEGImage.html#ae56256c713841596bee85e1bf491e8fb">OpenJPEGImage</a>( <span class="keyword">const</span> <a class="code" href="classIIPImage.html">IIPImage</a>&amp; image ) : <a class="code" href="classIIPImage.html">IIPImage</a>(image){</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    _stream = NULL; _codec = NULL; _image = NULL;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <a class="code" href="classIIPImage.html#a9b51c8811c316082af8ac76f8bf71458">tile_width</a> = TILESIZE; tile_height = TILESIZE; <a class="code" href="classIIPImage.html#a03b0132269c3aa1db9bfadb2b332265f">virtual_levels</a> = 0;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  };</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="classOpenJPEGImage.html#aa15076cc6f3ab68c380273061381f8c2">   89</a></span>&#160;  <a class="code" href="classOpenJPEGImage.html#aa15076cc6f3ab68c380273061381f8c2">~OpenJPEGImage</a>(){ <a class="code" href="classOpenJPEGImage.html#a5e1b02fe0f290f2d528785871584c269">closeImage</a>(); };</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classOpenJPEGImage.html#a7a0d97d713918940002dc32d512d1be0">openImage</a>();</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classOpenJPEGImage.html#a2dcb234ef782b6d21f971a5656a70137">loadImageInfo</a>( <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y );</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classOpenJPEGImage.html#a5e1b02fe0f290f2d528785871584c269">closeImage</a>();</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="classOpenJPEGImage.html#a352d3628ecec9f7d63fdca2997ababa8">  108</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classOpenJPEGImage.html#a352d3628ecec9f7d63fdca2997ababa8">regionDecoding</a>(){ <span class="keywordflow">return</span> <span class="keyword">true</span>; };</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;  <a class="code" href="classRawTile.html">RawTile</a> <a class="code" href="classOpenJPEGImage.html#a3c7ba5b04ed3b721a8fd96c702be8632">getTile</a>( <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> r, <span class="keywordtype">int</span> l, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> t );</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;  <a class="code" href="classRawTile.html">RawTile</a> <a class="code" href="classOpenJPEGImage.html#a6bc2f74edbb15f34214288832ca4fd78">getRegion</a>( <span class="keywordtype">int</span> ha, <span class="keywordtype">int</span> va, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> res, <span class="keywordtype">int</span> layers, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> w, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> h );</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;};</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classOpenJPEGImage_html_aa15076cc6f3ab68c380273061381f8c2"><div class="ttname"><a href="classOpenJPEGImage.html#aa15076cc6f3ab68c380273061381f8c2">OpenJPEGImage::~OpenJPEGImage</a></div><div class="ttdeci">~OpenJPEGImage()</div><div class="ttdoc">Destructor. </div><div class="ttdef"><b>Definition:</b> OpenJPEGImage.h:89</div></div>
<div class="ttc" id="classOpenJPEGImage_html_a2dcb234ef782b6d21f971a5656a70137"><div class="ttname"><a href="classOpenJPEGImage.html#a2dcb234ef782b6d21f971a5656a70137">OpenJPEGImage::loadImageInfo</a></div><div class="ttdeci">void loadImageInfo(int x, int y)</div><div class="ttdoc">Overloaded function for loading JP2 image information. </div></div>
<div class="ttc" id="classOpenJPEGImage_html_a81c1d8f62cfa2815def1aa6240d35532"><div class="ttname"><a href="classOpenJPEGImage.html#a81c1d8f62cfa2815def1aa6240d35532">OpenJPEGImage::OpenJPEGImage</a></div><div class="ttdeci">OpenJPEGImage()</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> OpenJPEGImage.h:58</div></div>
<div class="ttc" id="classOpenJPEGImage_html_a5e1b02fe0f290f2d528785871584c269"><div class="ttname"><a href="classOpenJPEGImage.html#a5e1b02fe0f290f2d528785871584c269">OpenJPEGImage::closeImage</a></div><div class="ttdeci">void closeImage()</div><div class="ttdoc">Overloaded function for closing a JP2 image. </div></div>
<div class="ttc" id="classIIPImage_html_a03b0132269c3aa1db9bfadb2b332265f"><div class="ttname"><a href="classIIPImage.html#a03b0132269c3aa1db9bfadb2b332265f">IIPImage::virtual_levels</a></div><div class="ttdeci">unsigned int virtual_levels</div><div class="ttdoc">Number of resolution levels that don&amp;#39;t physically exist in file. </div><div class="ttdef"><b>Definition:</b> IIPImage.h:103</div></div>
<div class="ttc" id="classOpenJPEGImage_html_a352d3628ecec9f7d63fdca2997ababa8"><div class="ttname"><a href="classOpenJPEGImage.html#a352d3628ecec9f7d63fdca2997ababa8">OpenJPEGImage::regionDecoding</a></div><div class="ttdeci">bool regionDecoding()</div><div class="ttdoc">Return whether this image type directly handles region decoding. </div><div class="ttdef"><b>Definition:</b> OpenJPEGImage.h:108</div></div>
<div class="ttc" id="classOpenJPEGImage_html_ad065c76671b81386c3260ba82109ce9e"><div class="ttname"><a href="classOpenJPEGImage.html#ad065c76671b81386c3260ba82109ce9e">OpenJPEGImage::OpenJPEGImage</a></div><div class="ttdeci">OpenJPEGImage(const OpenJPEGImage &amp;image)</div><div class="ttdoc">Copy Constructor. </div><div class="ttdef"><b>Definition:</b> OpenJPEGImage.h:76</div></div>
<div class="ttc" id="classOpenJPEGImage_html"><div class="ttname"><a href="classOpenJPEGImage.html">OpenJPEGImage</a></div><div class="ttdef"><b>Definition:</b> OpenJPEGImage.h:33</div></div>
<div class="ttc" id="classOpenJPEGImage_html_a3c7ba5b04ed3b721a8fd96c702be8632"><div class="ttname"><a href="classOpenJPEGImage.html#a3c7ba5b04ed3b721a8fd96c702be8632">OpenJPEGImage::getTile</a></div><div class="ttdeci">RawTile getTile(int x, int y, unsigned int r, int l, unsigned int t)</div><div class="ttdoc">Overloaded function for getting a particular tile. </div></div>
<div class="ttc" id="classIIPImage_html"><div class="ttname"><a href="classIIPImage.html">IIPImage</a></div><div class="ttdoc">Main class to handle the pyramidal image source. </div><div class="ttdef"><b>Definition:</b> IIPImage.h:62</div></div>
<div class="ttc" id="classIIPImage_html_a9b51c8811c316082af8ac76f8bf71458"><div class="ttname"><a href="classIIPImage.html#a9b51c8811c316082af8ac76f8bf71458">IIPImage::tile_width</a></div><div class="ttdeci">unsigned int tile_width</div><div class="ttdoc">The base tile pixel dimensions. </div><div class="ttdef"><b>Definition:</b> IIPImage.h:115</div></div>
<div class="ttc" id="classRawTile_html"><div class="ttname"><a href="classRawTile.html">RawTile</a></div><div class="ttdoc">Class to represent a single image tile. </div><div class="ttdef"><b>Definition:</b> RawTile.h:45</div></div>
<div class="ttc" id="classOpenJPEGImage_html_a6bc2f74edbb15f34214288832ca4fd78"><div class="ttname"><a href="classOpenJPEGImage.html#a6bc2f74edbb15f34214288832ca4fd78">OpenJPEGImage::getRegion</a></div><div class="ttdeci">RawTile getRegion(int ha, int va, unsigned int res, int layers, int x, int y, unsigned int w, unsigned int h)</div><div class="ttdoc">Overloaded function for returning a region from image. </div></div>
<div class="ttc" id="classOpenJPEGImage_html_ae56256c713841596bee85e1bf491e8fb"><div class="ttname"><a href="classOpenJPEGImage.html#ae56256c713841596bee85e1bf491e8fb">OpenJPEGImage::OpenJPEGImage</a></div><div class="ttdeci">OpenJPEGImage(const IIPImage &amp;image)</div><div class="ttdoc">Copy Constructor. </div><div class="ttdef"><b>Definition:</b> OpenJPEGImage.h:82</div></div>
<div class="ttc" id="classOpenJPEGImage_html_a7a0d97d713918940002dc32d512d1be0"><div class="ttname"><a href="classOpenJPEGImage.html#a7a0d97d713918940002dc32d512d1be0">OpenJPEGImage::openImage</a></div><div class="ttdeci">void openImage()</div><div class="ttdoc">Overloaded function for opening a TIFF image. </div></div>
<div class="ttc" id="classOpenJPEGImage_html_a59293faa979675ddda209e5eaa53a40d"><div class="ttname"><a href="classOpenJPEGImage.html#a59293faa979675ddda209e5eaa53a40d">OpenJPEGImage::OpenJPEGImage</a></div><div class="ttdeci">OpenJPEGImage(const std::string &amp;path)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> OpenJPEGImage.h:67</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><b>OpenJPEGImage.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
